Bug 798870 - Glyph for 0D3A Malayalam Letter TTTA in Lohit Malayalam needs to be corrected
Glyph for 0D3A Malayalam Letter TTTA in Lohit Malayalam needs to be corrected
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts (Show other bugs)
16
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 01:46 EST by Shriramana Sharma
Modified: 2012-05-26 03:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: lohit-malayalam-fonts-2.5.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 10:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shriramana Sharma 2012-03-01 01:46:38 EST
Description of problem:

With the release of Lohit Malayalam 2.5.1, the characters for Unicode 6.0 have been added. In Malayalam 0D3A Malayalam Letter TTTA is new to Unicode 6.0.

In the Unicode 6.0 the character was given a glyph similar to Tamil TTI டி which was wrong. Therefore this glyph has been corrected in Unicode 6.1 to look like Grantha TTA (Tamil ட with a small tick mark below) as seen in the Unicode 6.1 Malayalam codechart: http://www.unicode.org/charts/PDF/U0D00.pdf

Therefore please correct the Malayalam TTTA glyph to reflect the latest Unicode codechart.

Thank you.

Version-Release number of selected component (if applicable):

2.5.1

How reproducible:

By installing the latest Lohit Malayalam 2.5.1 font.

Actual results:

It shows the wrong glyph for Malayalam TTTA which was wrongly given in Unicode 6.0 chart.

Expected results:

It should show the correct glyph for Malayalam TTTA as correctly given in Unicode 6.1 chart.
Comment 1 Pravin Satpute 2012-03-05 04:33:04 EST
fixed in upstream, latest ttf http://pravins.fedorapeople.org/Lohit-Malayalam.ttf
Comment 2 Shriramana Sharma 2012-03-05 09:43:17 EST
The tick on the lower line should be somewhat more centered. Please find a revised version of the TTF at https://bugzilla.redhat.com/attachment.cgi?id=567649

Thanks for taking care of this. Quick work! :-)
Comment 3 Pravin Satpute 2012-03-06 05:31:49 EST
corrected and committed in upstream
Comment 4 Fedora Update System 2012-04-25 12:33:55 EDT
lohit-malayalam-fonts-2.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lohit-malayalam-fonts-2.5.1-2.fc16
Comment 5 Fedora Update System 2012-04-25 12:34:47 EDT
lohit-malayalam-fonts-2.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lohit-malayalam-fonts-2.5.1-2.fc17
Comment 6 Fedora Update System 2012-05-03 12:02:00 EDT
Package lohit-malayalam-fonts-2.5.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-malayalam-fonts-2.5.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7222/lohit-malayalam-fonts-2.5.1-2.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-10 10:28:24 EDT
lohit-malayalam-fonts-2.5.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-26 03:43:46 EDT
lohit-malayalam-fonts-2.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.